﻿using Hotline.Orders;
using Hotline.Repository.SqlSugar.Extensions;
using Hotline.Share.Dtos;
using Hotline.Share.Requests;
using Microsoft.AspNetCore.Mvc;

namespace Hotline.Api.Controllers;

public class OrderController : BaseController
{
    private readonly IOrderRepository _orderRepository;

    public OrderController(IOrderRepository orderRepository)
    {
        _orderRepository = orderRepository;
    }

    [HttpGet]
    public async Task<PagedDto<Order>> Query(PagedKeywordRequest dto)
    {
        var (total, items) = await _orderRepository.Queryable()
            .WhereIF(!string.IsNullOrEmpty(dto.Keyword), x => x.Title.Contains(dto.Keyword) || x.No.Contains(dto.Keyword))
            .ToPagedListAsync(dto.PageIndex, dto.PageSize);

        return new PagedDto<Order>(total, items);
    }
}