﻿using Hotline.Repository.SqlSugar.DataPermissions;
using Hotline.Settings;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Dependency;

namespace Hotline.Repository.SqlSugar.System
{
    public class TrunkIvrManagerRepository : BaseRepository<TrunkIvrManager>, ITrunkIvrManagerRepository, IScopeDependency
    {
        public TrunkIvrManagerRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder) : base(uow, dataPermissionFilterBuilder)
        {
        }


        public async Task<IReadOnlyList<TrunkIvrManager>> GetTrunkList()
        {
            return await Db.Queryable<TrunkIvrManager>()
                    .Includes(d => d.WorkCategoryModel)
                    .Includes(d => d.RestCategoryModel)
                    //.Includes(d=> d.WorkToGroupModel.MappingField(z=>z.No,()=>d.WorkToGroup))
                    .Includes(d=> d.RestToGroupModel.MappingField(z=>z.No,()=>d.RestToGroup))
                    .ToListAsync();
        }
    }
}
